//======================================================
// Thermodynamic Package in java
// Class GmixTest//Properties of gas mixture
// Dr. Turhan Coban
// File Name   : AtomTest.java
// This file contains the atom class
// this class sets basic properties of requested atom
// required data is read from atom.dat.
// =====================================================
import java.io.*;

class pipeTest
{
  public static void main(String args[]) throws IOException
  {
  double T=300;
  double P=1;
  double pipeLength=1;
  String pipeShape=new String("circular");
  double D1,D2;
  D1=0.01;
  D2=0;
  String GmixName=new String("natural");
  String pipeName=new String("p18_natural");
  double mass_flow_rate;
  mass_flow_rate=0.02;
  Gmix g1;
  pipe p1;
  double KL;
  double e;
  e=0.00001;
  KL=0;  
       p1= new pipe(pipeName,
               pipeShape,
               GmixName,
               D1,
               D2,
               mass_flow_rate,
               e,
               P,
               KL,
               pipeLength);
    
  System.out.println(p1.g.M);
  System.out.println(p1.mass_flow_rate);
  }
}

//=================================================================

